dataDir=/opt/zookeeper/dataDir
clientPort=2181
maxClientCnxns=0
initLimit=5
syncLimit=2
tickTime=2000
# list of servers


{% for host in hostvars %}
    {% if hostvars[host].tags.tag == 'zookeeper' %}
        {% if hostvars[host].ansible_host == ansible_host %}
           server.{{hostvars[host].tags.zk_id}}=0.0.0.0:2888:3888

        {% else %}
           server.{{hostvars[host].tags.zk_id}}={{ hostvars[host].ansible_host }}:2888:3888
        {% endif %}
    {% endif %}

{% endfor %}
